Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hans de Graaff <gra...@gentoo.org>
---
 dev-ruby/mimemagic/mimemagic-0.3.10-r1.ebuild | 41 +++++++++++++++++
 dev-ruby/mimemagic/mimemagic-0.4.3-r1.ebuild  | 45 +++++++++++++++++++
 2 files changed, 86 insertions(+)
 create mode 100644 dev-ruby/mimemagic/mimemagic-0.3.10-r1.ebuild
 create mode 100644 dev-ruby/mimemagic/mimemagic-0.4.3-r1.ebuild

diff --git a/dev-ruby/mimemagic/mimemagic-0.3.10-r1.ebuild 
b/dev-ruby/mimemagic/mimemagic-0.3.10-r1.ebuild
new file mode 100644
index 000000000000..14cda3064dd1
--- /dev/null
+++ b/dev-ruby/mimemagic/mimemagic-0.3.10-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC=mimemagic.gemspec
+
+inherit prefix ruby-fakegem
+
+DESCRIPTION="Fast mime detection by extension or content"
+HOMEPAGE="https://github.com/mimemagicrb/mimemagic";
+SRC_URI="https://github.com/mimemagicrb/mimemagic/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND+=" x11-misc/shared-mime-info"
+
+ruby_add_rdepend "
+       dev-ruby/nokogiri
+       dev-ruby/rake
+"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+       cp "${FILESDIR}/${PN}-0.3.9-path.rb" lib/mimemagic/path.rb || die
+       eprefixify lib/mimemagic/path.rb
+
+       sed -i -e 's/git ls-files/find * -print/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_install() {
+       each_fakegem_install
+       ruby_fakegem_extensions_installed
+}
diff --git a/dev-ruby/mimemagic/mimemagic-0.4.3-r1.ebuild 
b/dev-ruby/mimemagic/mimemagic-0.4.3-r1.ebuild
new file mode 100644
index 000000000000..8b8fb492af14
--- /dev/null
+++ b/dev-ruby/mimemagic/mimemagic-0.4.3-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC=mimemagic.gemspec
+
+inherit prefix ruby-fakegem
+
+DESCRIPTION="Fast mime detection by extension or content"
+HOMEPAGE="https://github.com/mimemagicrb/mimemagic";
+SRC_URI="https://github.com/mimemagicrb/mimemagic/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND+=" x11-misc/shared-mime-info"
+
+ruby_add_rdepend "
+       dev-ruby/nokogiri
+       dev-ruby/rake
+"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+       cp "${FILESDIR}/${PN}-0.3.9-path.rb" lib/mimemagic/path.rb || die
+       eprefixify lib/mimemagic/path.rb
+
+       sed -i -e 's/git ls-files/find * -print/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+       ${RUBY} -Ilib:.:test -e 'Dir["test/**/*_test.rb"].each {|f| require f}' 
|| die
+}
+
+each_ruby_install() {
+       each_fakegem_install
+       ruby_fakegem_extensions_installed
+}
-- 
2.32.0


Reply via email to